<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Nav Fix</title>
    <script language="javascript">
		var historyObj = null;
		var previousIndex = 0;
    
		function onChange(select)
		{
			historyObj.addHistory(select.selectedIndex);
		}
		
		function setPageData(context)
		{
			var select = document.getElementById("select");
			if (context)
			{
				select.selectedIndex = context;
				var request = new Sys.Net.WebRequest();
				request.set_url("Selection.ashx?s=" + select.selectedIndex);
				request.completed.add(onComplete);
				request.invoke();
			}
			else
			{
				select.selectedIndex = 0;
				document.getElementById("message").innerHTML = "";
			}
		}
		
		function onComplete(sender)
		{
			document.getElementById("message").innerHTML = sender.get_data();
		}
		
		function init()
		{
			historyObj = new Jeffz.Framework.History(setPageData, "NavFixHelper.htm");
			historyObj.start();
		}
    </script>
</head>
<body style="font-family: Arial;">
    <form id="form1" runat="server">
    <div>
		<atlas:ScriptManager ID="ScriptManager1" runat="server" EnableScriptComponents="true">
			<Scripts>
				<atlas:ScriptReference Path="js/History.js" />
			</Scripts>
		</atlas:ScriptManager>
		
		<script type="text/xml-script">
			<page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
				<components>
					<application load="init" />
				</components>
			</page>
		</script>

		<select onchange="onChange(this)" id="select">
			<option></option>
			<option value="1">selection 1</option>
			<option value="2">selection 2</option>
			<option value="3">selection 3</option>
		</select>
		<div id="message" style="font-size: 32px;"></div>
    </div>
    </form>
</body>
</html>
